module top (
	 input clk,
    input [ 7:0] i_a,
    input [ 7:0] i_b,
    output reg [15:0] o_z

);

reg [7:0] a, b;
wire [15:0] o;

always @ (posedge clk)
	begin
		a   <= i_a;
		b   <= i_b;
		o_z <= o;
	end
	
//our_mult mult1(
//    .i_a(a),
//    .i_b(b),
//    .o_z(o)
//);

exact_mult mult1(
    .i_a(a),
    .i_b(b),
    .o_z(o)
);

endmodule 