module approx_Ei_find (
    input [3:0] S,
    input  logic signed [ 7:0] i_a,
    output reg [3:0] E,
    input [2:0] group[0:3]
);

always @ *
    begin
    integer i;
    for (i=0; i<4; i= i+1)
        if (group[i] == 3'b0 || group[i] == 3'b111)
            E[i] = 1'b1;
        else
            E[i] = ~(S[i] ^ i_a[7]);
    end

endmodule