module approx_model(
 input logic signed [8:0] pp0, pp1, pp2, pp3,
 input logic [3:0] E,
 output logic signed [11:0] pp0_out,
 output logic signed [10:0] pp1_out,
 output logic signed [10:0] pp2_out,
 output logic signed [9:0]  pp3_out
);

always @ * begin 
  /*
  pp0_out <= {E[0],~E[0],~E[0],pp0};
  pp1_out <= {1'b1,E[1],pp1};
  pp2_out <= {1'b1,E[2],pp2};
  pp3_out <= {E[3],pp3};
  */

  // Set the last 5 columns to 10000
  pp0_out <= {E[0],~E[0],~E[0],pp0[8:5], 5'b10000};
  pp1_out <= {1'b1,E[1],pp1[8:3], 3'b100};
  pp2_out <= {1'b1,E[2],pp2[8:1],1'b1};
  pp3_out <= {E[3],pp3};

  // //Set the last 4 columns to 0000
  // pp0_out <= {E[0],~E[0],~E[0],pp0[8:4], 4'b0000};
  // pp1_out <= {1'b1,E[1],pp1[8:2], 2'b00};
  // pp2_out <= {1'b1,E[2],pp2};
  // pp3_out <= {E[3],pp3};

  //Set the last 3 columns to 000
  // pp0_out <= {E[0],~E[0],~E[0],pp0[8:3], 3'b000};
  // pp1_out <= {1'b1,E[1],pp1[8:1], 1'b0};
  // pp2_out <= {1'b1,E[2],pp2};
  // pp3_out <= {E[3],pp3};

  // //Set the last 2 columns to 00
  // pp0_out <= {E[0],~E[0],~E[0],pp0[8:2], 2'b00};
  // pp1_out <= {1'b1,E[1],pp1};
  // pp2_out <= {1'b1,E[2],pp2};
  // pp3_out <= {E[3],pp3};

  // //Set the last column to 0
  // pp0_out <= {E[0],~E[0],~E[0],pp0[8:1], 1'b0};
  // pp1_out <= {1'b1,E[1],pp1};
  // pp2_out <= {1'b1,E[2],pp2};
  // pp3_out <= {E[3],pp3};


end

endmodule
